package com.facebook.internal;

import android.content.Context;
import android.net.Uri;
import com.facebook.internal.ImageRequest.Callback;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class ImageRequest$Builder {
    private boolean allowCachedRedirects;
    private Callback callback;
    private Object callerTag;
    private Context context;
    private Uri imageUrl;

    public ImageRequest$Builder(Context context, Uri uri) {
        AppMethodBeat.i(72388);
        Validate.notNull(uri, "imageUri");
        this.context = context;
        this.imageUrl = uri;
        AppMethodBeat.o(72388);
    }

    public ImageRequest$Builder setCallback(Callback callback) {
        this.callback = callback;
        return this;
    }

    public ImageRequest$Builder setCallerTag(Object obj) {
        this.callerTag = obj;
        return this;
    }

    public ImageRequest$Builder setAllowCachedRedirects(boolean z) {
        this.allowCachedRedirects = z;
        return this;
    }

    public ImageRequest build() {
        AppMethodBeat.i(72389);
        ImageRequest imageRequest = new ImageRequest(this, null);
        AppMethodBeat.o(72389);
        return imageRequest;
    }
}
